.menu{
    position: relative;
    top: 0px;
    left: 0px;
    width: 100%;

    height: 100px;
    background-color: white;
    z-index: 10;
}
.menu_body{
    height: 100%;
    width: 100%;
    max-width: 960px;
    margin: auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    background-color: white;
}
div.menu_logo{
    text-decoration: none;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    height: 100%;
}
.menu_logo_link_Wrapper{
    height: 100%;
}
img.menu_logo_G{
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    padding: 8px;
    height: 100%;
}
img.menu_logo_DSI{
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    padding-left: 8px;
    padding-top: 26px;
    padding-bottom: 10px;
    height: 100%;
}
.menu_index{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
}
.menu_link{
    font-family: 'Open Sans', sans-serif;
    color: black;
    text-decoration: none;
    margin: auto;
    margin-left: 10px;
    margin-right: 10px;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    border-bottom: 0px solid var(--palette-1);
    -webkit-transition: border-bottom 100ms linear;
    -o-transition: border-bottom 100ms linear;
    transition: border-bottom 100ms linear;
    cursor: pointer;
}
.menu_link.selected{
    border-bottom: 3px solid var(--palette-1);
}
.menu_link:hover{
    border-bottom: 3px solid var(--palette-1);
}
.menu_link_text{
    margin: auto;
    font-size: 24px;
    font-weight: 400;
}
.menu_store{
    margin: auto;
    margin-left: 10px;
    margin-right: 10px;
}
.menu_store_image{
    margin: auto;
    height: 75px;
}
.menu_button{
    display: none;
    margin: auto;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    margin-right: 10px;
    border: 1px solid black;
    background-color: white;
    border-radius: 6px;
    width: 40px;
    height: 40px;
}

.index{
    position: absolute;
    top: -80px;
    width: 100%;
    background-color: white;

    display: none;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;

    -webkit-transition: top 200ms ease-in-out;

    -o-transition: top 200ms ease-in-out;

    transition: top 200ms ease-in-out;

    z-index: -1;
}
.index_link{
    font-family: 'Open Sans', sans-serif;
    color: black;
    text-decoration: none;
    text-align: center;
    margin: 4px;
}
.index_link.selected{
    font-weight: 700;
}
.index_link_text{
    font-size: 24px;
    font-weight: inherit;
}
.index_border{
    background-color: var(--palette-1);
    height: 3px;
    width: 0%;
    margin-top: 4px;

    -webkit-transition: width 200ms ease-in-out;

    -o-transition: width 200ms ease-in-out;

    transition: width 200ms ease-in-out;
}

.shadow{
    position: fixed;
    width: 100%;
    height: 0%;
    background-color: black;
    opacity: 0;

    display: none;
    -webkit-transition: opacity 200ms ease-in-out;
    -o-transition: opacity 200ms ease-in-out;
    transition: opacity 200ms ease-in-out;
    
    z-index: 8;
}

.menu_logo_DSI_Wrapper{
    display: block;
}
.menu_logo_DSI_Large{
    padding: 8px;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    width: 100%;
    background-color: white;
    padding-top: 0px;
    display: none;
}

@media (max-width: 1024px){
    .menu{
        height: 80px;
    }
    .menu_store_image{
        height: 60px;
    }
    img.menu_logo_DSI{
        padding-left: 6px;
        padding-top: 24px;
        padding-bottom: 8px;
    }
}
@media (max-width: 768px){
    .menu{
        height: 60px;
    }
    div.menu_logo{
        -webkit-box-align: center;
            -ms-flex-align: center;
                align-items: center;
    }
    .menu_store_image{
        height: 45px;
    }
    .menu_link_text{
        font-size: 20px;
    }
    img.menu_logo_DSI{
        padding-left: 6px;
        padding-top: 10px;
        padding-bottom: 4px;
    }
}

@media (max-width: 600px){
    .menu{
        height: -webkit-fit-content;
        height: -moz-fit-content;
        height: fit-content;
    }
    .menu_body{
        height: 60px;
    }
    .menu_store_image{
        height: 40px;
        content: url("../images/appstoreButtonWhite.svg");
    }
    .menu_button{
        display: block;
    }
    .menu_store{
        margin-left: 0px;
    }
    .menu_link{
        display: none;
    }
    .index{
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }
    .shadow{
        display: block;
    }
    img.menu_logo_DSI{
        display: none;
    }
    .menu_logo_DSI_Large{
        display: block;
        max-width: 400px;
        margin: auto;
    }
}